All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
stan::math::child_type< T > Struct Template Reference

Primary template class for metaprogram to compute child type of T. More...

`#include <child_type.hpp>`

## Public Types

typedef double | type

## Detailed Description

### template<typename T>
struct stan::math::child_type< T >

Primary template class for metaprogram to compute child type of T.

See `test/unit/math/meta/child_type_test.cpp` for intended usage.

Template Parameters

  T | type of container.

Definition at line 19 of file child_type.hpp.

## Member Typedef Documentation

template<typename T >

typedef double stan::math::child_type< T >::type

Definition at line 20 of file child_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/child_type.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.